oracle.pg.nosql

## Class OracleEdge

- java.lang.Object
- - oracle.pg.nosql.OracleElement
  - - oracle.pg.nosql.OracleEdge

- All Implemented Interfaces:
    Edge, Element, OracleEdgeBase, OracleElementBase

      public class OracleEdge
      extends OracleElement
      implements OracleEdgeBase

  This class implements the Blueprints Edge interface on top of a supported backend database.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` This method returns true if the current OracleEdge instance is considered equal to the given OracleEdge instance
    `void` | `forceRefresh()` Physically refresh this Edge instance by reading from the underlying database
    `static OracleEdge` | `getInstance(OraclePropertyGraph opg, Long eid)` Returns an instance of OracleEdge
    `static OracleEdge` | `getInstance(OraclePropertyGraph opg, Long eid, boolean bCreateIfAbsentFromCache)` Returns an instance of OracleEdge.
    `static OracleEdge` | `getInstance(OraclePropertyGraph opg, Long eid, boolean bCreateIfAbsentFromCache, boolean bSkipStoreToCache)` Returns an instance of OracleEdge.
    `static OracleEdge` | `getInstance(OraclePropertyGraph opg, Long eid, String edgeLabel, boolean bCreateIfAbsentFromCache, boolean bSkipStoreToCache)` Returns an instance of OracleEdge.
    `static OracleEdge` | `getInstance(OraclePropertyGraph opg, OracleVertexBase outVertex, OracleVertexBase inVertex, Long eid, boolean bCreateIfAbsentFromCache, boolean bSkipStoreToCache)` Returns an instance of OracleEdge
    `static OracleEdge` | `getInstance(OraclePropertyGraph opg, OracleVertexBase outVertex, OracleVertexBase inVertex, String edgeLabel, Long eid)` Returns an instance of OracleEdge
    `static OracleEdge` | `getInstance(OraclePropertyGraph opg, OracleVertexBase outVertex, OracleVertexBase inVertex, String edgeLabel, Long eid, boolean bCreateIfAbsentFromCache)` Returns an instance of OracleEdge
    `static OracleEdge` | `getInstance(OraclePropertyGraph opg, OracleVertexBase outVertex, OracleVertexBase inVertex, String edgeLabel, Long eid, boolean bCreateIfAbsentFromCache, boolean bSkipStoreToCache)` Returns an instance of OracleEdge
    `OracleVertex` | `getInVertex()` Return the head/in vertex of the edge
    `Object` | `getInVertexID()` Return the head/in vertex ID.
    `String` | `getLabel()` Return the label associated with the edge.
    `OracleVertex` | `getOutVertex()` Return the tail/out vertex of the edge
    `Object` | `getOutVertexID()` Return the tail/out vertex ID.
    `Vertex` | `getVertex(Direction direction)` Return the tail/out or head/in vertex.
    `int` | `hashCode()` This method returns the hash code
    `void` | `remove()` Remove the edge from the property graph.
    `void` | `setProperty(String key, Object value)` Assign a key/value property to the element.
    `void` | `setProperty(String key, Object value, boolean skipQueue)` Assign a key/value property to the element.
    `String` | `toString()`

    - ### Methods inherited from class oracle.pg.nosql.OracleElement

      `getAttributes, getId, getProperty, getPropertyGraph, getPropertyKeys, isPartial, refresh, removeProperty, setPartial, setProperty, setPropertyCommon`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface oracle.pg.common.OracleElementBase

      `setPartial`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getId, getProperty, getPropertyKeys, removeProperty`

- - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      This method returns true if the current OracleEdge instance is considered equal to the given OracleEdge instance
      Overrides:
        `equals` in class `Object`
      Parameters:
        `o` - an object to compare this edge against

    - #### forceRefresh

          public void forceRefresh()
                            throws Exception

      Physically refresh this Edge instance by reading from the underlying database
      Specified by:
        `forceRefresh` in interface `OracleElementBase`
      Specified by:
        `forceRefresh` in class `OracleElement`
      Throws:
        `Exception`

    - #### getInstance

          public static OracleEdge getInstance(OraclePropertyGraph opg,
                               Long eid)

      Returns an instance of OracleEdge

    - #### getInstance

          public static OracleEdge getInstance(OraclePropertyGraph opg,
                               Long eid,
                               boolean bCreateIfAbsentFromCache)

      Returns an instance of OracleEdge. If there is no match in the cache and bCreateIfAbsentFromCache is false, then a NULL value will be returned.

    - #### getInstance

          public static OracleEdge getInstance(OraclePropertyGraph opg,
                               Long eid,
                               boolean bCreateIfAbsentFromCache,
                               boolean bSkipStoreToCache)

      Returns an instance of OracleEdge. If there is no match in the cache and bCreateIfAbsentFromCache is false, then a NULL value will be returned.

    - #### getInstance

          public static OracleEdge getInstance(OraclePropertyGraph opg,
                               Long eid,
                               String edgeLabel,
                               boolean bCreateIfAbsentFromCache,
                               boolean bSkipStoreToCache)

      Returns an instance of OracleEdge. If there is no match in the cache and bCreateIfAbsentFromCache is false, then a NULL value will be returned.

    - #### getInstance

          public static OracleEdge getInstance(OraclePropertyGraph opg,
                               OracleVertexBase outVertex,
                               OracleVertexBase inVertex,
                               Long eid,
                               boolean bCreateIfAbsentFromCache,
                               boolean bSkipStoreToCache)

      Returns an instance of OracleEdge

    - #### getInstance

          public static OracleEdge getInstance(OraclePropertyGraph opg,
                               OracleVertexBase outVertex,
                               OracleVertexBase inVertex,
                               String edgeLabel,
                               Long eid)

      Returns an instance of OracleEdge

    - #### getInstance

          public static OracleEdge getInstance(OraclePropertyGraph opg,
                               OracleVertexBase outVertex,
                               OracleVertexBase inVertex,
                               String edgeLabel,
                               Long eid,
                               boolean bCreateIfAbsentFromCache)

      Returns an instance of OracleEdge

    - #### getInstance

          public static OracleEdge getInstance(OraclePropertyGraph opg,
                               OracleVertexBase outVertex,
                               OracleVertexBase inVertex,
                               String edgeLabel,
                               Long eid,
                               boolean bCreateIfAbsentFromCache,
                               boolean bSkipStoreToCache)

      Returns an instance of OracleEdge

    - #### getInVertex

          public OracleVertex getInVertex()

      Return the head/in vertex of the edge

    - #### getInVertexID

          public Object getInVertexID()

      Return the head/in vertex ID.

    - #### getLabel

          public String getLabel()

      Return the label associated with the edge.
      Specified by:
        `getLabel` in interface `Edge`

    - #### getOutVertex

          public OracleVertex getOutVertex()

      Return the tail/out vertex of the edge

    - #### getOutVertexID

          public Object getOutVertexID()

      Return the tail/out vertex ID.

    - #### getVertex

          public Vertex getVertex(Direction direction)

      Return the tail/out or head/in vertex.
      Specified by:
        `getVertex` in interface `Edge`

    - #### hashCode

          public int hashCode()

      This method returns the hash code
      Overrides:
        `hashCode` in class `Object`

    - #### remove

          public void remove()

      Remove the edge from the property graph.
      Specified by:
        `remove` in interface `Element`

    - #### setProperty

          public void setProperty(String key,
                         Object value)

      Description copied from class: `OracleElement`
      Assign a key/value property to the element.
      Specified by:
        `setProperty` in interface `Element`
      Overrides:
        `setProperty` in class `OracleElement`

    - #### setProperty

          public void setProperty(String key,
                         Object value,
                         boolean skipQueue)

      Description copied from class: `OracleElement`
      Assign a key/value property to the element.
      Specified by:
        `setProperty` in interface `OracleElementBase`
      Overrides:
        `setProperty` in class `OracleElement`
      Parameters:
        `key` - key of the attribute (K/V)
        `value` - value of the attribute (K/V)
        `skipQueue` - when true, then this K/V pair change will not cause this Element to be put in the update queue.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015 Oracle and/or its afflilates. All Rights Reserved.